Get game by ID
curl --request GET \
--url https://api-v2.polyrouter.io/games/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-v2.polyrouter.io/games/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-v2.polyrouter.io/games/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-v2.polyrouter.io/games/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "KCvSF20250209@NFL",
"title": "Chiefs vs 49ers",
"teams": [
"Kansas City Chiefs",
"San Francisco 49ers"
],
"sport": "Football",
"league": "NFL",
"description": "Super Bowl LVIII",
"scheduled_at": "2025-02-09T23:30:00.000Z",
"status": "not_started",
"category": "sports",
"tags": [
"nfl",
"super-bowl",
"championship"
],
"markets": [
{
"platform": "polymarket",
"event_id": "evt_123",
"outcomes": [
{
"outcome_id": "outcome_123",
"platform_id": "pm_456",
"name": "Kansas City Chiefs",
"price": 0.65,
"volume": 50000,
"status": "active",
"liquidity": 25000,
"order_book": {
"yes": [
{
"price": 0.65,
"qty": 100,
"status": "active",
"side": "yes",
"timestamp": "2025-01-01T00:00:00.000Z"
}
],
"no": [
{
"price": 0.65,
"qty": 100,
"status": "active",
"side": "yes",
"timestamp": "2025-01-01T00:00:00.000Z"
}
]
},
"metadata": {}
}
],
"metadata": {},
"event_name": "Super Bowl LVIII",
"event_slug": "super-bowl-lviii"
}
],
"metadata": {},
"image_url": "<string>"
},
"meta": {
"platforms_queried": [
"polymarket",
"kalshi",
"prophetx"
],
"request_time": 250,
"data_freshness": "2025-01-01T00:00:00.000Z",
"platform_errors": {}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}Sports
Get game by ID
Fetch a single game by its ID with market data from all platforms
GET
/
games
/
{id}
Get game by ID
curl --request GET \
--url https://api-v2.polyrouter.io/games/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-v2.polyrouter.io/games/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-v2.polyrouter.io/games/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-v2.polyrouter.io/games/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "KCvSF20250209@NFL",
"title": "Chiefs vs 49ers",
"teams": [
"Kansas City Chiefs",
"San Francisco 49ers"
],
"sport": "Football",
"league": "NFL",
"description": "Super Bowl LVIII",
"scheduled_at": "2025-02-09T23:30:00.000Z",
"status": "not_started",
"category": "sports",
"tags": [
"nfl",
"super-bowl",
"championship"
],
"markets": [
{
"platform": "polymarket",
"event_id": "evt_123",
"outcomes": [
{
"outcome_id": "outcome_123",
"platform_id": "pm_456",
"name": "Kansas City Chiefs",
"price": 0.65,
"volume": 50000,
"status": "active",
"liquidity": 25000,
"order_book": {
"yes": [
{
"price": 0.65,
"qty": 100,
"status": "active",
"side": "yes",
"timestamp": "2025-01-01T00:00:00.000Z"
}
],
"no": [
{
"price": 0.65,
"qty": 100,
"status": "active",
"side": "yes",
"timestamp": "2025-01-01T00:00:00.000Z"
}
]
},
"metadata": {}
}
],
"metadata": {},
"event_name": "Super Bowl LVIII",
"event_slug": "super-bowl-lviii"
}
],
"metadata": {},
"image_url": "<string>"
},
"meta": {
"platforms_queried": [
"polymarket",
"kalshi",
"prophetx"
],
"request_time": 250,
"data_freshness": "2025-01-01T00:00:00.000Z",
"platform_errors": {}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}Authorizations
API key for authentication
Path Parameters
Game ID (format: {Away}v{Home}{YYYYMMDD}@{LEAGUE})
Example:
"KCvSF20250209@NFL"
Query Parameters
Filter by platform
Available options:
polymarket, kalshi, prophetx, novig, sxbet Filter by market type
Available options:
moneyline, spread, total, prop Odds format for market odds (american, decimal, fractional)
Available options:
american, decimal, probability Example:
"american"
āI

